// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdEIdProductPlugin",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdEIdProductPlugin", targets: ["WebIdEIdProductPluginWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        .package(
            name: "WebIdOnDeviceDocumentScanner",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackageRedesignV4/webid-on-device-document-scanner-spm",
            .branch("redesign-v4-snapshots")
        ),
        .package(
            name: "WebIdIosIdentScanPlugin",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackageRedesignV4/webid-ident-scan-plugin-spm",
            .branch("redesign-v4-snapshots")
        ),
        .package(
            name: "WebIdEIdentPlugin",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackageRedesignV4/webid-eident-plugin-spm",
            .branch("redesign-v4-snapshots")
        ),
        .package(
            name: "WebIdDigitalSigningPlugin",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackageRedesignV4/webid-digital-signing-plugin-spm",
            .branch("redesign-v4-snapshots")
        )
    ],
    targets: [
        .binaryTarget(
            name: "WebIdEIdProductPlugin",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/redesign-v4-snapshots/de/webid-solutions/WebIdEIdProductPlugin/14.6.0/WebIdEIdProductPlugin.framework-v14.6.0-SNAPSHOT-1370.zip",
            checksum: "502e5009a0deeb4e21635990bec11e84e30142966c5e257e7865f81a4e0a3af0"
        ),
        .target(
            name: "WebIdEIdProductPluginWrapper",
            dependencies: [
                .target(name: "WebIdEIdProductPlugin"),
                // [target dependecies here]
                
                .product(name: "WebIdOnDeviceDocumentScanner", package: "WebIdOnDeviceDocumentScanner"),
                .product(name: "WebIdIosIdentScanPlugin", package: "WebIdIosIdentScanPlugin"),
                .product(name: "WebIdEIdentPlugin", package: "WebIdEIdentPlugin"),
                .product(name: "WebIdDigitalSigningPlugin", package: "WebIdDigitalSigningPlugin"),
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
